/**

*/
/// <reference types="react" />
import type { TinaCMS } from '@tinacms/toolkit';
import type { Collection } from '@tinacms/schema-tools';
import { FilterArgs } from '../api';
import type { CollectionResponse } from '../types';
export declare const useGetCollection: (cms: TinaCMS, collectionName: string, includeDocuments: boolean, folder: {
    loading: boolean;
    fullyQualifiedName: string;
}, after?: string, sortKey?: string, filterArgs?: FilterArgs) => {
    collection: Collection<false> | CollectionResponse;
    loading: boolean;
    error: Error;
    reFetchCollection: () => void;
    collectionExtra: Collection<true>;
};
export declare const useSearchCollection: (cms: TinaCMS, collectionName: string, includeDocuments: boolean, folder: {
    loading: boolean;
    fullyQualifiedName: string;
}, after?: string, search?: string) => {
    collection: Collection<false> | CollectionResponse;
    loading: boolean;
    error: Error;
    reFetchCollection: () => void;
    collectionExtra: Collection<true>;
};
declare const GetCollection: ({ cms, collectionName, folder, includeDocuments, startCursor, sortKey, children, filterArgs, search, }: {
    cms: TinaCMS;
    collectionName: string;
    folder: {
        loading: boolean;
        fullyQualifiedName: string;
    };
    includeDocuments?: boolean;
    startCursor?: string;
    sortKey?: string;
    children: any;
    filterArgs?: FilterArgs;
    search?: string;
}) => JSX.Element;
export default GetCollection;
