import * as React from 'react';
import type { Field } from '../../forms';
declare type Option = {
    value: string;
    label: string;
};
interface SelectFieldProps {
    label?: string;
    name: string;
    component: string;
    options: (Option | string)[];
}
export interface SelectProps {
    name: string;
    input: React.SelectHTMLAttributes<HTMLSelectElement>;
    field?: SelectFieldProps & Field;
    disabled?: boolean;
    options?: (Option | string)[];
    className?: string;
}
export declare const selectFieldClasses = "shadow appearance-none bg-white block pl-3 pr-8 py-2 truncate w-full text-base cursor-pointer border border-gray-200 focus:outline-none focus:shadow-outline focus:ring-blue-500 focus:border-blue-500 sm:text-sm rounded-md";
export declare const Select: React.FC<SelectProps>;
export {};
