import * as React from 'react';
import type { ScreenPlugin } from '../../react-screens';
import { CloudConfigPlugin } from '../../react-cloud-config';
interface NavCollection {
    label?: string;
    name: string;
    isAuthCollection?: boolean;
}
interface NavProps {
    isLocalMode: boolean;
    children?: any;
    className?: string;
    userName?: string;
    showCollections: boolean;
    collectionsInfo: {
        collections: NavCollection[];
    };
    contentCreators?: any;
    screens?: ScreenPlugin[];
    cloudConfigs?: CloudConfigPlugin[];
    sidebarWidth?: number;
    RenderNavSite: React.ComponentType<{
        view: ScreenPlugin;
    }>;
    RenderNavCloud: React.ComponentType<{
        config: CloudConfigPlugin;
    }>;
    RenderNavCollection: React.ComponentType<{
        collection: {
            label: string;
            name: string;
        };
    }>;
    AuthRenderNavCollection: React.ComponentType<{
        collection: {
            label: string;
            name: string;
        };
    }>;
}
export declare const Nav: ({ isLocalMode, className, children, showCollections, collectionsInfo, screens, cloudConfigs, contentCreators, sidebarWidth, RenderNavSite, RenderNavCloud, RenderNavCollection, AuthRenderNavCollection, ...props }: NavProps) => JSX.Element;
export {};
